# Generated by Django 4.0 on 2021-12-16 00:01

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0016_teacher_user'),
    ]

    operations = [
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, null=True)),
                ('email', models.CharField(max_length=100, null=True)),
                ('date_joined', models.DateTimeField(auto_now_add=True, null=True)),
                ('grades', models.CharField(choices=[('Pre-K', 'Pre-K'), ('Elementary', 'Elementary'), ('Junior High', 'Junior High'), ('High School', 'High School'), ('Multiple', 'Multiple')], max_length=100, null=True)),
                ('schools', models.ManyToManyField(to='users.School')),
            ],
        ),
        migrations.RemoveField(
            model_name='item',
            name='teacher_requested',
        ),
        migrations.DeleteModel(
            name='Teacher',
        ),
        migrations.AddField(
            model_name='item',
            name='profile_requested',
            field=models.ForeignKey(default='', on_delete=django.db.models.deletion.CASCADE, to='users.profile'),
        ),
    ]
